Package twisted :: Package protocols :: Module oscar :: Class OscarAuthenticator |
[frames | no frames]

## Class OscarAuthenticator

    BaseProtocol --+
                   |
            Protocol --+
                       |
         OscarConnection --+
                           |
                          OscarAuthenticator

Method Summary
| `__init__(self, username, password, deferred, icq)`
| `error(self, error, url)`
| `oscar_(self, flap)`
| `oscar_Cookie(self, data)`
| `oscar_Key(self, data)`
| `oscar_None(self, data)`
Inherited from OscarConnection
| ``connectionLost`(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``disconnect`(self)` send the disconnect flap, and sever the connection
| ``readFlap`(self)`
| ``sendFLAP`(self, data, channel)`
| ``sendKeepAlive`(self)`
| ``setKeepAlive`(self, t)`
| ``stopKeepAlive`(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`class` | `BOSClass` = `twisted.protocols.oscar.BOSConnection`
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net